Get interest rate future
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Tradable/GetIRFutures \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"as_of_date": "2000-01-23T04:56:07.000+00:00",
"identifiers": [
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Tradable/GetIRFutures"
payload = {
"as_of_date": "2000-01-23T04:56:07.000+00:00",
"identifiers": [
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
as_of_date: '2000-01-23T04:56:07.000+00:00',
identifiers: [
{
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
},
{
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
}
]
})
};
fetch('https://api.riskportal.activeviam.com/api/Tradable/GetIRFutures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Tradable/GetIRFutures",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'as_of_date' => '2000-01-23T04:56:07.000+00:00',
'identifiers' => [
[
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
],
[
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Tradable/GetIRFutures"
payload := strings.NewReader("{\n \"as_of_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"identifiers\": [\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Tradable/GetIRFutures")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"as_of_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"identifiers\": [\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Tradable/GetIRFutures")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"as_of_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"identifiers\": [\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"ir_futures": [
{
"value": {
"compounding_start_date": "2000-01-23T04:56:07.000+00:00",
"compounding_rule": "none",
"rate_asset_name": "rate_asset_name",
"day_count_fraction": 0.8008281904610115,
"traded_price": 6.027456183070403
},
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"value": {
"compounding_start_date": "2000-01-23T04:56:07.000+00:00",
"compounding_rule": "none",
"rate_asset_name": "rate_asset_name",
"day_count_fraction": 0.8008281904610115,
"traded_price": 6.027456183070403
},
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
]
}Get interest rate future
POST
/
api
/
Tradable
/
GetIRFutures
Get interest rate future
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Tradable/GetIRFutures \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"as_of_date": "2000-01-23T04:56:07.000+00:00",
"identifiers": [
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Tradable/GetIRFutures"
payload = {
"as_of_date": "2000-01-23T04:56:07.000+00:00",
"identifiers": [
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
as_of_date: '2000-01-23T04:56:07.000+00:00',
identifiers: [
{
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
},
{
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
}
]
})
};
fetch('https://api.riskportal.activeviam.com/api/Tradable/GetIRFutures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Tradable/GetIRFutures",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'as_of_date' => '2000-01-23T04:56:07.000+00:00',
'identifiers' => [
[
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
],
[
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Tradable/GetIRFutures"
payload := strings.NewReader("{\n \"as_of_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"identifiers\": [\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Tradable/GetIRFutures")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"as_of_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"identifiers\": [\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Tradable/GetIRFutures")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"as_of_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"identifiers\": [\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"ir_futures": [
{
"value": {
"compounding_start_date": "2000-01-23T04:56:07.000+00:00",
"compounding_rule": "none",
"rate_asset_name": "rate_asset_name",
"day_count_fraction": 0.8008281904610115,
"traded_price": 6.027456183070403
},
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"value": {
"compounding_start_date": "2000-01-23T04:56:07.000+00:00",
"compounding_rule": "none",
"rate_asset_name": "rate_asset_name",
"day_count_fraction": 0.8008281904610115,
"traded_price": 6.027456183070403
},
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
]
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Was this page helpful?